Name:           perl-Future-HTTP
Version:        0.16
Release:        4%{?dist}
Summary:        Future::HTTP Perl module
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Future-HTTP/
Source0:        https://cpan.metacpan.org/authors/id/C/CO/CORION/Future-HTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators coreutils
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(AnyEvent::Future)
BuildRequires:  perl(AnyEvent::HTTP)
BuildRequires:  perl(CGI)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(Filter::signatures) >= 0.13
BuildRequires:  perl(Future) >= 0.31
BuildRequires:  perl(Future::Mojo)
BuildRequires:  perl(HTTP::Headers) >= 6.07
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Request::AsCGI)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(HTTP::Tiny::Paranoid)
BuildRequires:  perl(IO::Async)
BuildRequires:  perl(IO::Async::Future)
BuildRequires:  perl(IO::Async::Loop)
BuildRequires:  perl(IO::Uncompress::Bunzip2)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(IO::Uncompress::RawInflate)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(MIME::QuotedPrint)
BuildRequires:  perl(Mojo::IOLoop)
BuildRequires:  perl(Mojo::UserAgent)
BuildRequires:  perl(Mojolicious)
BuildRequires:  perl(Moo) >= 2
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Net::Async::HTTP)
BuildRequires:  perl(Pod::Markdown)
BuildRequires:  perl(Test::HTTP::LocalServer)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Without::Module)
BuildRequires:  perl(URI)
BuildRequires:  perl(feature)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# some runtime deps are missed
Requires:       perl(Fcntl)
Requires:       perl(IO::Async::Loop)
Requires:       perl(IO::Uncompress::Bunzip2)
Requires:       perl(IO::Uncompress::Gunzip)
Requires:       perl(IO::Uncompress::Inflate)
Requires:       perl(IO::Uncompress::RawInflate)
Requires:       perl(MIME::Base64)
Requires:       perl(MIME::QuotedPrint)
Requires:       perl(warnings)

%description
Provide the most appropriate HTTP client with a Future API

%prep
%setup -q -n Future-HTTP-%{version}
%{!?_with_network_tests: rm t/01-http-tiny-paranoid.t }
perl -pi -e 's/\r//' Changes

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
# note: files all say perl_5 which is GPLv1/Artistic but file is Artistic-2
# https://rt.cpan.org/Ticket/Display.html?id=152217
#%license LICENSE
%{perl_vendorlib}/Future/HTTP*
%{_mandir}/man3/Future::HTTP*

%changelog
* Fri Mar 08 2024 Chris Adams <linux@cmadams.net> 0.16-4
- additional spec file cleanups

* Thu Feb 01 2024 Chris Adams <linux@cmadams.net> 0.16-3
- additional spec file cleanups

* Sat Jan 20 2024 Chris Adams <linux@cmadams.net> 0.16-2
- spec file cleanups

* Mon Nov 20 2023 Chris Adams <linux@cmadams.net> 0.16-1
- initial package
